      PROGRAM FABANACCI
      IMPLICIT NONE
      
      INTEGER N
      PARAMETER (N = 10)
      INTEGER FAB(N)
      
      INTEGER I
      
      FAB(1) = 1
      FAB(2) = 1
      DO 10 I = 3, N
       FAB(I) = FAB(I - 1) + FAB(I - 2)
10    CONTINUE

      DO 20 I = 1, N
        PRINT *, 'FAB(', I, ')=', FAB(I)
20    CONTINUE

      STOP
      END
               